%define ver 2.4

Summary:	A C++ interface for glib library.
Name:		glibmm
Version:	2.4.7
Release:	1.PU_IAS.1
License:	LGPL
Group:		System Environment/Libraries
Packager:	Marcin Garski <mgarski@post.pl>
URL:		http://www.gtkmm.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glibmm/%{ver}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	glib2-devel >= 2.4.0 libsigc++-devel >= 2.0.0

%description
glibmm is a set of C++ bindings for glib, including cross-platform APIs such
as a std::string-like UTF8 string class, string utility methods, such as a
text encoding converter API, file access, and threads.

%package devel
Summary:	Development files for %{name}.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the libraries, include files and other resources
needed to develop applications using %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot} %{_builddir}/%{name}-%{version}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libglibmm*.so.*

%files devel
%defattr(-, root, root)
%doc CHANGES
%{_includedir}/glibmm-%{ver}/
%{_libdir}/glibmm-%{ver}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libglibmm*.so
%{_libdir}/libglibmm*.la
%{_datadir}/aclocal/glibmm*.m4
%{_datadir}/doc/glibmm-%{ver}/

%changelog
* Sat Nov 20 2004 Marcin Garski <mgarski@post.pl> 2.4.5-1.fc2
- Updated to version 2.4.5

* Wed Aug 11 2004 Marcin Garski <mgarski@post.pl> 2.4.4-1.fc2
- Updated to version 2.4.4

* Sun Jun 20 2004 Marcin Garski <mgarski@post.pl> 2.4.3-1.fc2
- Updated to version 2.4.3

* Sat Jun 05 2004 Marcin Garski <mgarski@post.pl> 2.4.2-1.fc2
- Initial specfile
